Skip to main content
PATCH
Update, pause, or resume a monitor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 100
url
string<uri>
write-only
Pattern: ^https?://
intervalMinutes
integer
Required range: 1 <= x <= 43200
baselineMode
enum<string>
Available options:
rolling,
fixed
changeThreshold
number
Required range: 0 <= x <= 1
capture
object
diff
object
alerts
object
status
enum<string>
Available options:
active,
paused

Response

Updated monitor

success
boolean
required
monitor
object
required